REM MAKEUSER.BAT
@ECHO OFF
if "%1" == "" goto noparams

set movename=%1


cls
echo:
echo This program will create a user setup for user: %movename%
echo:
echo If this is NOT your intention, hold [CTRL] and tap [C] now, otherwise
pause

rem  Need to verify which drive the installation is on, then
rem go to the appropriate drive.  c: takes priority
if exist "d:\program files\bentley\program\microstation\ustation.exe" d:
if exist "c:\program files\bentley\program\microstation\ustation.exe" c:


cd \!msv8user
md .\"%movename%"\mstauser
if errorlevel 1 goto dirfailed


cd .\"%movename%"


rem  Copy the master tree into place
xcopy \!msv8user\!Template\mstauser\*.* .\mstauser\ /S/E

if not exist "\\dot0dta1fscadd1\pcpin1\msworksp\!msv8user\msflag.userprofs" goto notcopied
cd ..
xcopy "\!msv8user\%movename%\*.*" "\\dot0dta1fscadd1\pcpin1\msworksp\!msv8user\%movename%\" /S/E
goto done

:notcopied
cd \!msv8conf\setup
echo:
echo  Please review the messages above, then
pause
cls
echo:
echo The user "%movename%" has been set up in the local MicroStation V8
echo configuration on this PC.
echo:
echo:
echo  WARNING MESSAGE:
eCHO    Did not find a connection to the Y:\msworksp\!msv8user\ folder.
echo    Did not copy the new User Profile to the Y: drive.
echo:
echo If you have no more users to set up, you can enter the EXIT command
echo to close this Command Prompt window.
echo:
pause
goto bitter_end


:DIRFAILED
echo:
echo  ERROR MESSAGE:
echo    Could not create the new user folder.  This is most likely
echo    because a folder of that name already exists.  Please check
echo    to make sure this user isn't set up already.
echo:
pause
goto bitter_end

:NOPARAMS
cls
echo:
echo  ERROR MESSAGE:
echo    There were no parameters given in the command to run this
echo    batch file.  The user's Windows Login ID should be entered
echo    as a parameter after the name of the batch file.  For Example:
echo:
echo       MakeUser Dennis.Folsom
echo:
echo    would create Dennis Folsom's user profile.
echo:
echo:   (Note that MDOT now uses periods, not spaces in Login ID's
echo:
goto bitter_end



:DONE

cd \!msv8conf\setup

echo:
echo  Please review the messages above, then
pause
cls
echo:
echo The user "%movename%" has been set up in the local MicroStation V8
echo configuration on this PC, and has been copied to the Y: drive.
echo:
echo If you have no more users to set up, you can enter the EXIT command
echo to close this Command Prompt window.
echo:

:BITTER_END
