'This macro appends the current dgnfilename, date & time, and user name
'to a tab delimited text file stored in the root of the design directory

const tb$ = chr$(9)     '|** The Tab Character
sub main

    dim dgnlogfile  as string
    dim logentry    as string
    dim projloc     as string
    
    projloc = mbegetconfigvar("PROJDISK1")
    
        '|** Only Write to file if file is not read-only
    If MbeDgnInfo.dgnFileReadOnly = 0 Then
    
        logentry = fileparse$(MbeDgnInfo.dgnFileName, 3) & tb$ & mbegetconfigvar("WIN_USERNAME") & tb$ & time$ & tb$ & date$
    
    If projloc = "D:" Then
    
        dgnlogfile = mbegetconfigvar("_DGNDIR") & "dgnuse-local.log"
    
        Open dgnlogfile$ For Append As #1
            Print #1, logentry
        Close #1
    
    elseif projloc = "C:" then   
     
        dgnlogfile = mbegetconfigvar("_DGNDIR") & "dgnuse-local.log"
    
        Open dgnlogfile$ For Append As #1
            Print #1, logentry
        Close #1

    elseif projloc = "Y:" then   
     
        dgnlogfile = mbegetconfigvar("_DGNDIR") & "dgnuse.log"
    
        Open dgnlogfile$ For Append As #1
            Print #1, logentry
        Close #1

    end if    
    Else
        
        'mbesendcommand "macro readdgnlog"
        
    End If

end sub

 